# Topham

[sr.ht](https://sr.ht/) client library for CHICKEN Scheme.

## Resources

 * Sources: <https://git.sr.ht/~evhan/topham>
 * Issues: <https://todo.sr.ht/~evhan/topham>
 * Documentation: <https://eggs.call-cc.org/5/topham>

## Installation

``` shell
chicken-install topham
```

## Usage

Create a new job on [builds.sr.ht](https://builds.sr.ht/) and fetch
information about it:

``` scheme
(import (topham)
        (topham builds))

(access-token "your-access-token-goes-here")

(create (job manifest: "xyz"))
; => ((#:service "builds" #:path "/api/jobs")
;     (id . 1234))

(retrieve (job 1234))
; => ((#:service "builds" #:path "/api/jobs/1234" #:method GET)
;     (id . 1234)
;     (status . "running")
;     (setup_log ...)
;     (tasks . #(...))
;     (runner ...))

(retrieve (manifest 1234))
; => "xyz"
```

## License

Three-clause BSD. See LICENSE for details.
